require "active_support/core_ext/object/blank"
require "awesome_print"
require "base64"
require "commander"
require "dry-initializer"
require "git"
require "json"
require "light-service"
require "open3"
require "to_regexp"
require "shellwords"

module Kcu
end

require "kcu/version"
require "kcu/summary"
require "kcu/models/container"
require "kcu/services/exec_shell"
require "kcu/services/get_resource_namespace_and_name"
require "kcu/services/secrets/get_json"
require "kcu/services/secrets/decode_data"
require "kcu/services/secrets/get_entry_value"
require "kcu/services/secrets/encode_entry_value"
require "kcu/services/secrets/set_entry_value"
require "kcu/services/secrets/read_entry_value"
require "kcu/services/secrets/create_entry_value"
require "kcu/services/deployments/restart_deployment"
require "kcu/services/deploys/get_config"
require "kcu/services/deploys/set_target_namespace"
require "kcu/services/deploys/get_image_config"
require "kcu/services/deploys/gen_image_name"
require "kcu/services/deploys/set_image"
require "kcu/services/deploys/get_target_containers_config"
require "kcu/services/deploys/get_target_containers"
require "kcu/actions/list_secret_action"
require "kcu/actions/get_secret_action"
require "kcu/actions/set_secret_action"
require "kcu/actions/restart_deployment_action"
require "kcu/actions/deploy_action"
require "kcu/client"

Kcu.new.run if $0 == __FILE__
